Bug 1602948 - uEFI for ARMv7
Summary: uEFI for ARMv7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact:
URL:
Whiteboard:
Depends On: 1613996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 20:53 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:36 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-07-18 20:53:59 UTC
This is a tracking bug for Change: uEFI for ARMv7
For more details, see: https://fedoraproject.org/wiki/Changes/uEFIforARMv7

Move to uEFI as the default boot mechanism for ARMv7 devices.

Comment 1 Peter Robinson 2018-08-11 13:21:35 UTC
We now have the critical grub2 build.

The pull requests for anaconda/blivet are:
https://github.com/rhinstaller/anaconda/pull/1572
https://github.com/storaged-project/blivet/pull/715

Comment 3 Jan Kurik 2018-08-14 11:05:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2018-08-14 13:12:51 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 5 Ben Cotton 2018-08-15 11:23:59 UTC
Correction: please set the status to "MODIFIED" when the change is testable. See https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 6 Peter Robinson 2018-08-16 10:10:46 UTC
Most of the pieces have landed here, it's in a mostly testable state ATM, we're working with the grub maintainer on a few issues there but confident the last bits of the puzzle should be in place RSN.

Comment 7 Ben Cotton 2018-08-28 13:54:03 UTC
Today is the '100% code complete deadline' Change Checkpoint[1], meaning that Fedora 29 Changes must now be code complete. All the code required to enable to the new change should now be finished. If your Change is code complete, please update the status of this tracker back to "ON_QA". The change does not have to be fully tested by this deadline.

We have now reached the Beta freeze. If your Change is not code complete, you need to request a Freeze Exception[2] or invoke the contingency plan.

[1] https://fedoraproject.org/wiki/Changes/Policy#Beta_deadline.2Faccepted_changes_100.25_complete

[2] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

Comment 8 Peter Robinson 2018-08-28 13:57:44 UTC
Not currently testable, awaiting the anaconda team to respond to queries

Comment 9 Ben Cotton 2018-08-29 18:27:17 UTC
Change owner reports code completion. Marking "ON_QA".

Comment 10 Ben Cotton 2018-09-12 20:35:05 UTC
Change owner reports some issues that need to be upstream block this change for Fedora 29.

Comment 11 Ben Cotton 2019-02-19 17:08:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 12 Peter Robinson 2019-03-03 12:56:48 UTC
This is now code complete and has Minimal/Server/Workstation enabled and being built in rawhide/f30 for testing.

Once this is more widely verified, we have at least a grub2 <-> kernel bug, we will enable all the other arm images we care currently making.


Note You need to log in before you can comment on or make changes to this bug.